:root {
  --black: #000;
  --white: #fff;
  --dark-gray: #858585;
  --border-gray: #d6d6d6;
  --grayish: #f8f8f8
}
* {
  padding: 0;
  margin: 0;
  border: 0
}
*,
*::after,
*::before {
  box-sizing: border-box
}
*::after,
*::before {
  display: inline-block
}
body,
html {
  height: 100%;
  min-width: 320px
}
body {
  color: #000;
  line-height: 1;
  font-family: Montserrat;
  font-size: .875rem;
  -ms-text-size-adjust: 100%;
  -moz-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale
}
button,
input,
textarea {
  font-family: Montserrat;
  font-size: inherit;
  line-height: inherit;
  color: inherit;
  background-color: rgba(0,0,0,0)
}
input,
textarea {
  width: 100%
}
label {
  display: inline-block
}
button,
option,
select {
  cursor: pointer
}
a {
  display: inline-block;
  color: inherit;
  text-decoration: none
}
ul li {
  list-style: none
}
img {
  vertical-align: top
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: inherit;
  font-size: inherit
}
.lock body {
  overflow: hidden;
  touch-action: none;
  -ms-scroll-chaining: none;
  overscroll-behavior: none
}
.wrapper {
  min-height: 100%;
  display: flex;
  flex-direction: column;
  overflow: hidden
}
@supports (overflow:clip) {
  .wrapper {
    overflow: clip
  }
}
.wrapper>main {
  flex: 1 1 auto
}
.wrapper>* {
  min-width: 0
}
[class*=container] {
  max-width: 93rem;
  margin: 0 auto;
  padding: 0 1rem
}
[class*="--gc"] {
  display: grid;
  min-width: 0;
  grid-template-columns: 1rem 1fr minmax(auto,91rem) 1fr 1rem
}
[class*="--gc"]>* {
  min-width: 0;
  grid-column: 3/4
}
.menu__before-wrapper {
  display: none
}
.menu__body ul {
  display: flex;
  align-items: center;
  -webkit-column-gap: 2rem;
  -moz-column-gap: 2rem;
  column-gap: 2rem
}
.menu__body ul a {
  color: var(--black);
  font-weight: 700;
  line-height: 125%;
  letter-spacing: .42px;
  text-transform: uppercase;
  position: relative
}
.menu__body ul a::before {
  content: "";
  position: absolute;
  top: 50%;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  left: -.625rem;
  width: 0;
  height: .1875rem;
  background: rgba(214,214,214,.7);
  transition: width .5s ease
}
.menu__body ul a._navigator-active::before, .menu__body ul .current-menu-item a::before {
  width: calc(100% + 20px)
}
.menu__body .main-socials {
  display: none
}
.icon-menu {
  display: none
}
.fp-init body {
  overflow: hidden;
  touch-action: none;
  -ms-scroll-chaining: none;
  overscroll-behavior: none
}
[data-fp] {
  min-height: 100svh
}
.fp-init [data-fp] {
  z-index: 1;
  touch-action: none;
  position: relative;
  overflow: hidden
}
.fp-switching [data-fp-section] {
  touch-action: none
}
.fp-init [data-fp-section] {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  overflow-y: auto;
  overflow-x: hidden
}
.fp-init .cards-mode [data-fp-section],
.fp-init .slider-mode [data-fp-section] {
  transition: -webkit-transform .7s cubic-bezier(.55,.085,0,.99) 0s;
  transition: transform .7s cubic-bezier(.55,.085,0,.99) 0s;
  transition: transform .7s cubic-bezier(.55,.085,0,.99) 0s,-webkit-transform .7s cubic-bezier(.55,.085,0,.99) 0s
}
.fp-init .fade-mode [data-fp-section] {
  transition: opacity .5s ease-in-out 0s,visibility .5s ease-in-out 0s
}
.fp-bullets {
  position: fixed;
  bottom: 4.5rem;
  left: 50%;
  -webkit-transform: translate(-50%,20px);
  transform: translate(-50%,20px);
  max-width: 93rem;
  width: 100%;
  max-height: 100%;
  padding: 0 1rem;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  z-index: 2;
  gap: .5rem;
  pointer-events: none;
  opacity: 0;
  transition: opacity .5s ease 2.5s,-webkit-transform .5s ease 2.5s;
  transition: opacity .5s ease 2.5s,transform .5s ease 2.5s;
  transition: opacity .5s ease 2.5s,transform .5s ease 2.5s,-webkit-transform .5s ease 2.5s
}
.animation-start .fp-bullets {
  opacity: 1;
  -webkit-transform: translate(-50%,0);
  transform: translate(-50%,0)
}
.fp-bullets .fp-bullet {
  cursor: pointer;
  width: .625rem;
  height: .625rem;
  flex: 0 0 .625rem;
  border-radius: 50%;
  background-color: var(--border-gray);
  pointer-events: auto;
  transition: background-color .5s ease
}
.fp-bullets .fp-bullet-active {
  background-color: var(--black)
}
.ibg {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover
}
.ibg--top {
  -o-object-position: top;
  object-position: top
}
.ibg--bottom {
  -o-object-position: bottom;
  object-position: bottom
}
.ibg--left {
  -o-object-position: left;
  object-position: left
}
.ibg--right {
  -o-object-position: right;
  object-position: right
}
.ibg--contain {
  -o-object-fit: contain;
  object-fit: contain
}
body {
  background-color: var(--black);
  transition: background-color 1s ease
}
body:has(.animation-start) {
  background-color: var(--grayish)
}
.container {
  height: 100%
}
section::-webkit-scrollbar {
  display: none
}
.header {
  position: absolute;
  z-index: 100;
  top: 4.5rem;
  width: 100%
}
.header__body {
  display: flex;
  align-items: center;
  justify-content: space-between
}
.header__logo {
  position: relative;
  z-index: 5;
  width: 12.5rem;
  height: 3.75rem;
  display: flex;
  align-items: center;
  justify-content: flex-start
}
.header__logo img {
  width: 12.5rem;
  height: 3.75rem;
  -o-object-fit: contain;
  object-fit: contain
}
.portfolio__wrapper {
  position: relative
}
.portfolio__wrapper>img {
  position: absolute;
  top: 44%;
  left: 0;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  will-change: transform;
  height: 6.875rem;
  transition: -webkit-transform .1s linear;
  transition: transform .1s linear;
  transition: transform .1s linear,-webkit-transform .1s linear
}
.portfolio__body {
  position: relative;
  padding-top: 9.5rem;
  padding-bottom: 4.5rem;
  padding-left: 1rem;
  padding-right: 1rem;
  max-width: 66rem;
  margin: 0 auto
}
.portfolio__body button {
  display: none;
  margin: 2.625rem auto 0
}
.portfolio__body::before {
  content: "";
  position: absolute;
  z-index: -1;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%,-50%);
  transform: translate(-50%,-50%);
  width: .0625rem;
  height: 100%;
  background-color: var(--border-gray)
}
.portfolio__content {
  display: flex;
  -webkit-column-gap: 11.5rem;
  -moz-column-gap: 11.5rem;
  column-gap: 11.5rem
}
.portfolio__column {
  flex: 0 0 calc(50% - 92px);
  display: flex;
  flex-direction: column;
  row-gap: 8.875rem
}
.portfolio__column:last-child {
  padding-top: 15.5rem
}
.clients {
  position: relative
}
.clients::before {
  content: "";
  position: absolute;
  z-index: -1;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%,-50%);
  transform: translate(-50%,-50%);
  width: .0625rem;
  height: 100%;
  background-color: var(--border-gray)
}
.clients__body {
  padding-top: 4.5rem;
  padding-bottom: 4.5rem;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  row-gap: 2.875rem
}
.clients__title {
  text-align: center;
  color: var(--black);
  font-size: 2.875rem;
  font-weight: 700;
  line-height: 125%
}
.clients__content {
  position: relative;
	display: flex;
	justify-content: center;
}
.clients__wrapper.swiper-wrapper {
  transition-timing-function: linear!important
}
.clients-slide {
  width: 11.375rem;
  display: flex;
  flex-direction: column;
  row-gap: 1rem
}
.clients-slide__top {
  position: relative;
  height: 11.375rem
}
.clients-slide__wrap {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--white);
  text-align: center;
  font-size: .875rem;
  font-weight: 700;
  line-height: 125%;
  letter-spacing: .42px;
  text-transform: uppercase
}
.clients-slide__wrap img {
  width: 8rem;
  -o-object-fit: contain;
  object-fit: contain
}
.clients-slide__wrap:nth-child(1) {
  background-color: var(--white)
}
.clients-slide__wrap:nth-child(2) {
  background-color: var(--black);
  opacity: 0;
  transition: opacity .5s ease
}
.clients-slide__wrap img {
  width: 8rem
}
.clients-slide__wrap span {
  display: none
}
.clients-slide__content {
  white-space: normal;
  opacity: 0;
  transition: opacity .5s ease;
  color: var(--black);
  font-size: .875rem;
  font-weight: 650;
  line-height: 125%
}
.seo__body {
  height: 100%;
  display: flex;
  flex-direction: column
}
.seo__wrapper {
  flex: 1 0 auto;
  padding-top: 4.5rem;
  padding-bottom: 4.5rem;
  max-width: 62.5rem;
  margin: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  row-gap: 1.375rem;
  position: relative
}
.seo__wrapper::before {
  content: "";
  position: absolute;
  z-index: -1;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%,-50%);
  transform: translate(-50%,-50%);
  width: .0625rem;
  height: 100%;
  background-color: var(--border-gray)
}
.seo__title {
  color: var(--black);
  text-align: center;
  font-size: 2.875rem;
  font-weight: 700;
  line-height: 125%
}
.info-block {
  text-align: center;
  display: flex;
  flex-direction: column;
  row-gap: .75rem
}
.info-block p {
  color: var(--dark-gray);
  text-align: center;
  font-size: .875rem;
  font-weight: 500;
  line-height: 125%
}
.info-block h2 {
  color: var(--black);
  font-size: 1.5rem;
  font-weight: 700;
  line-height: 125%
}
.info-block h3 {
  color: var(--black);
  text-align: center;
  font-size: 1.25rem;
  font-weight: 700;
  line-height: 125%
}
.info-block h4 {
  color: var(--black);
  text-align: center;
  font-size: 1rem;
  font-weight: 700;
  line-height: 125%
}
.info-block img {
  width: 25rem;
  height: 25rem;
  margin: 0 auto
}
.show-more {
  display: flex;
  align-items: center;
  justify-content: center;
  -webkit-column-gap: .5rem;
  -moz-column-gap: .5rem;
  column-gap: .5rem;
  margin-top: 1.5rem;
  color: var(--black);
  text-align: center;
  font-size: .875rem;
  font-weight: 700;
  letter-spacing: .42px;
  text-transform: uppercase;
  cursor: pointer
}
.show-more svg {
  width: 1.25rem;
  height: 1.25rem;
  -o-object-fit: contain;
  object-fit: contain;
  transition: -webkit-transform .5s ease;
  transition: transform .5s ease;
  transition: transform .5s ease,-webkit-transform .5s ease
}
.show-more span:nth-child(2) {
  display: none
}
._showmore-active .show-more span:nth-child(1) {
  display: none
}
._showmore-active .show-more span:nth-child(2) {
  display: block
}
._showmore-active .show-more svg path:nth-child(1) {
  display: none
}
.contacts__body {
  height: 100%;
  display: flex;
  flex-direction: column
}
.contacts__wrapper {
  flex: 1 0 auto;
  padding-top: 4.5rem;
  padding-bottom: 4.5rem;
  max-width: 62.5rem;
  margin: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  row-gap: 1.75rem;
  position: relative
}
.contacts__wrapper::before {
  content: "";
  position: absolute;
  z-index: -1;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%,-50%);
  transform: translate(-50%,-50%);
  width: .0625rem;
  height: 100%;
  background-color: var(--border-gray)
}
.contacts__title {
  color: var(--black);
  text-align: center;
  font-size: 2.875rem;
  font-weight: 700;
  line-height: 125%
}
.contacts__content {
  max-width: 30rem;
  width: 100%;
  display: flex;
  flex-direction: column;
  row-gap: .75rem
}
.contacts__wrap {
  display: flex;
  -webkit-column-gap: .75rem;
  -moz-column-gap: .75rem;
  column-gap: .75rem
}
.contacts__link {
  height: 4.875rem;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 1.4375rem 1.25rem;
  color: var(--dark-gray);
  text-align: center;
  font-size: 1.5rem;
  font-weight: 700;
  line-height: 125%;
  border: .0625rem solid var(--border-gray);
  background-color: var(--white);
  transition: color .5s ease,background-color .5s ease
}
.socials {
  display: flex;
  -webkit-column-gap: .75rem;
  -moz-column-gap: .75rem;
  column-gap: .75rem
}
.social {
  width: 4.875rem;
  height: 4.875rem;
  display: flex;
  align-items: center;
  justify-content: center;
  border: .0625rem solid var(--border-gray);
  background-color: var(--white);
  transition: background-color .5s ease
}
.social svg {
  width: 4.875rem;
  height: 4.875rem;
  -o-object-fit: contain;
  object-fit: contain
}
.social svg path {
  fill: var(--black)
}
.developer {
	opacity: 0;
	pointer-events: none;
	position: absolute;
	bottom: 4.5rem;
	left: 50%;
	-webkit-transform: translateX(-50%);
	transform: translateX(-50%);
	color: var(--dark-gray);
	text-align: center;
	font-size: .875rem;
	font-weight: 500;
	line-height: 125%
}
.developer a {
	font-weight: 650;
	text-decoration-line: underline;
	text-decoration-style: solid;
	-webkit-text-decoration-skip: ink;
	text-decoration-skip-ink: auto;
	text-decoration-thickness: 7%;
	text-underline-offset: 15%;
	text-underline-position: from-font
}
.product-card {
  max-width: 25rem;
  width: 100%;
  border: .0625rem solid var(--black)
}
.product-card__image {
  display: block;
  position: relative;
  aspect-ratio: 400/400;
  margin-top: -1.25rem;
  margin-left: -1.25rem;
  margin-right: 1.25rem
}
.product-card__image img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover
}
.product-card__content {
  padding: 1.25rem;
  display: flex;
  align-items: flex-end;
  justify-content: flex-end;
  background-color: var(--grayish)
}
.product-card__info {
  max-width: 13.75rem;
  color: var(--black);
  font-size: 1rem;
  font-weight: 650;
  line-height: 125%
}
.hero {
  position: relative
}
.hero::after {
  content: "";
  position: absolute;
  z-index: -1;
  left: 50%;
  bottom: 0;
  -webkit-transform: translate(-50%,0);
  transform: translate(-50%,0);
  width: .0625rem;
  height: 0;
  background-color: var(--border-gray);
  transition: height 1s ease 2s
}
.animation-start .hero::after {
  height: 50%
}
.hero__body {
  height: 100%;
  padding-top: 4.5rem;
  padding-bottom: 4.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative
}
.hero__body .animation-element {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  max-width: 37.5rem;
  max-height: 37.5rem;
  width: 100%;
  height: 100%;
  z-index: 0;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%,-50%);
  transform: translate(-50%,-50%)
}
.hero__body .animation-element img {
  position: absolute;
  width: 6.25rem;
  height: 6.25rem;
  -o-object-fit: contain;
  object-fit: contain
}
.animation-start .hero__body .animation-element img {
  width: 90%;
  height: 90%;
  -webkit-transform-origin: center;
  transform-origin: center;
  -webkit-animation: rotateInitial .5s ease-out forwards,growAndSpin 1s ease-in-out .5s forwards,infiniteSpin 10s linear 1.5s infinite;
  animation: rotateInitial .5s ease-out forwards,growAndSpin 1s ease-in-out .5s forwards,infiniteSpin 10s linear 1.5s infinite
}
.hero__content {
  position: relative;
  z-index: 5;
  max-width: 34.375rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  row-gap: 1.5rem
}
.hero__title {
  color: var(--black);
  text-align: center;
  font-size: 2.375rem;
  font-weight: 700;
  line-height: 125%
}
.button {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 1.125rem 2.25rem;
  text-align: center;
  font-weight: 700;
  line-height: 125%;
  letter-spacing: .42px;
  text-transform: uppercase;
  color: var(--black);
  border: .0625rem solid var(--black);
  background-color: var(--white);
  transition: color .5s ease;
  position: relative
}
.button::before {
  content: "";
  position: absolute;
  z-index: -1;
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  background-color: var(--black);
  transition: width .5s ease
}
@-webkit-keyframes rotateInitial {
  from {
    width: 6.25rem;
    height: 6.25rem;
    -webkit-transform: rotate(0);
    transform: rotate(0)
  }
  to {
    width: 6.25rem;
    height: 6.25rem;
    -webkit-transform: rotate(-20deg);
    transform: rotate(-20deg)
  }
}
@keyframes rotateInitial {
  from {
    width: 6.25rem;
    height: 6.25rem;
    -webkit-transform: rotate(0);
    transform: rotate(0)
  }
  to {
    width: 6.25rem;
    height: 6.25rem;
    -webkit-transform: rotate(-20deg);
    transform: rotate(-20deg)
  }
}
@-webkit-keyframes growAndSpin {
  from {
    width: 6.25rem;
    height: 6.25rem;
    -webkit-transform: rotate(-20deg);
    transform: rotate(-20deg)
  }
  to {
    width: 90%;
    height: 90%;
    -webkit-transform: rotate(80deg);
    transform: rotate(80deg)
  }
}
@keyframes growAndSpin {
  from {
    width: 6.25rem;
    height: 6.25rem;
    -webkit-transform: rotate(-20deg);
    transform: rotate(-20deg)
  }
  to {
    width: 90%;
    height: 90%;
    -webkit-transform: rotate(80deg);
    transform: rotate(80deg)
  }
}
@-webkit-keyframes infiniteSpin {
  from {
    -webkit-transform: rotate(80deg);
    transform: rotate(80deg)
  }
  to {
    -webkit-transform: rotate(440deg);
    transform: rotate(440deg)
  }
}
@keyframes infiniteSpin {
  from {
    -webkit-transform: rotate(80deg);
    transform: rotate(80deg)
  }
  to {
    -webkit-transform: rotate(440deg);
    transform: rotate(440deg)
  }
}
.header[data-aos=fade-up] {
  -webkit-transform: translate3d(0,20px,0);
  transform: translate3d(0,20px,0)
}
.hero__title[data-aos=fade-up] {
  -webkit-transform: translate3d(0,20px,0);
  transform: translate3d(0,20px,0)
}
.big-circle {
  position: fixed;
  z-index: 0;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%,-50%);
  transform: translate(-50%,-50%);
  width: 12.5rem;
  height: 12.5rem;
  border-radius: 50%;
  border: .0625rem solid var(--border-gray);
  background-color: var(--grayish);
  opacity: 0
}
.animation-start .big-circle {
  -webkit-animation: scaleCircle 1.5s ease-out .5s forwards;
  animation: scaleCircle 1.5s ease-out .5s forwards
}
@-webkit-keyframes scaleCircle {
  from {
    opacity: 0;
    width: 12.5rem;
    height: 12.5rem
  }
  to {
    opacity: 1;
    width: 37.5rem;
    height: 37.5rem
  }
}
@keyframes scaleCircle {
  from {
    opacity: 0;
    width: 12.5rem;
    height: 12.5rem
  }
  to {
    opacity: 1;
    width: 37.5rem;
    height: 37.5rem
  }
}
.horizontal-line {
  position: fixed;
  z-index: 0;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%,-50%);
  transform: translate(-50%,-50%);
  height: .0625rem;
  width: 0;
  background-color: var(--border-gray);
  transition: width 1s ease .5s
}
.animation-start .horizontal-line {
  width: 100%
}
.page:has(.hero.active-section) .vertical-line {
  top: auto;
  bottom: 0;
  height: 0%;
  -webkit-transform: translate(-50%,0);
  transform: translate(-50%,0)
}
.page:has(.portfolio.active-section) .vertical-line {
  height: 100%!important
}
.page:has(.clients.active-section) .vertical-line {
  height: 100%!important
}
.page:has(.seo.active-section) .vertical-line {
  height: 100%!important
}
.page:has(.contacts.active-section) .vertical-line {
  top: 0;
  height: 50%;
  -webkit-transform: translate(-50%,0);
  transform: translate(-50%,0)
}
.page.animation-start .vertical-line {
  -webkit-animation: lineHeight 1s forwards 3s;
  animation: lineHeight 1s forwards 3s
}
@-webkit-keyframes lineHeight {
  from {
    height: 0%
  }
  to {
    height: 50%
  }
}
@keyframes lineHeight {
  from {
    height: 0%
  }
  to {
    height: 50%
  }
}
.main-socials {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  -webkit-column-gap: .25rem;
  -moz-column-gap: .25rem;
  column-gap: .25rem;
  pointer-events: none
}
.main-social {
  pointer-events: auto;
  width: 2.875rem;
  height: 2.875rem;
  background-color: var(--grayish)
}
.main-social svg {
  width: 2.875rem;
  height: 2.875rem;
  -o-object-fit: contain;
  object-fit: contain
}
.page .main-socials {
  position: fixed;
  z-index: 3;
  bottom: 4.5rem;
  left: 50%;
  -webkit-transform: translate(-50%,20px);
  transform: translate(-50%,20px);
  max-width: 93rem;
  width: 100%;
  padding: 0 1rem;
  pointer-events: none;
  opacity: 0;
  transition: opacity .5s ease 2.5s,-webkit-transform .5s ease 2.5s;
  transition: opacity .5s ease 2.5s,transform .5s ease 2.5s;
  transition: opacity .5s ease 2.5s,transform .5s ease 2.5s,-webkit-transform .5s ease 2.5s
}
.page.animation-start .main-socials {
  opacity: 1;
  -webkit-transform: translate(-50%,0);
  transform: translate(-50%,0)
}
.ellipse {
  position: fixed;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%,-50%);
  transform: translate(-50%,-50%);
  width: 43.75rem;
  height: 43.75rem;
  border-radius: 50%;
  opacity: 0;
  transition: opacity .3s ease
}
.page:has(.contacts.active-section) .ellipse {
  opacity: 1
}
.swiper {
  overflow: hidden
}
.swiper-initialized {
  touch-action: pan-y
}
.swiper-wrapper {
  width: 100%;
  height: 100%;
  box-sizing: content-box;
  display: flex;
  position: relative
}
.swiper-vertical .swiper-wrapper {
  flex-direction: column
}
.swiper-autoheight .swiper-wrapper {
  align-items: flex-start
}
.swiper-initialized .swiper-slide {
  flex-shrink: 0
}
.swiper-android .swiper-slide,
.swiper-android .swiper-wrapper {
  -webkit-transform: translate3d(0,0,0);
  transform: translate3d(0,0,0)
}
.swiper-button-lock {
  display: none!important
}
@media (max-width:75em) {
  .portfolio__body {
    max-width: 54rem
  }
  .portfolio__content {
    -webkit-column-gap: 4rem;
    -moz-column-gap: 4rem;
    column-gap: 4rem
  }
  .portfolio__column {
    flex: 0 0 calc(50% - 32px)
  }
}
@media (max-width:61.99875em) {
  .fp-bullets {
    bottom: 1.5rem
  }
  .header {
    top: 0;
    padding: 1rem 0;
    background-color: var(--grayish);
    border-bottom: .0625rem solid var(--border-gray)
  }
  .header__logo {
    width: 8.625rem;
    height: 2.5rem
  }
  .header__logo img {
    width: 8.625rem;
    height: 2.5rem
  }
  .portfolio__wrapper>img {
    display: none
  }
  .portfolio__body {
    padding-top: 6rem;
    padding-bottom: 4.5rem;
    max-width: 41.5rem
  }
  .portfolio__body::before {
    display: none
  }
  .portfolio__column {
    row-gap: 2.625rem
  }
  .portfolio__column:last-child {
    padding-top: 8rem
  }
  .clients::before {
    display: none
  }
  .clients-slide__content {
    opacity: 1
  }
  .seo__wrapper::before {
    display: none
  }
  .seo__title {
    font-size: 2rem
  }
  .info-block h2 {
    font-size: 1.125rem
  }
  .info-block h3 {
    font-size: 1rem
  }
  .info-block h4 {
    font-size: .875rem
  }
  .contacts__wrapper::before {
    display: none
  }
  .contacts__title {
    font-size: 2rem
  }
  .contacts__link {
    height: 3.25rem;
    padding: 1rem;
    font-size: 1rem
  }
  .social {
    width: 3.25rem;
    height: 3.25rem
  }
  .social svg {
    width: 3.25rem;
    height: 3.25rem
  }
  .hero::after {
    display: none
  }
  .hero__body .animation-element {
    display: none
  }
  .hero__title {
    font-size: 1.5rem
  }
  @-webkit-keyframes scaleCircle {
    from {
      opacity: 0;
      width: 12.5rem;
      height: 12.5rem
    }
    to {
      opacity: 1;
      width: 28.125rem;
      height: 28.125rem
    }
  }
  @keyframes scaleCircle {
    from {
      opacity: 0;
      width: 12.5rem;
      height: 12.5rem
    }
    to {
      opacity: 1;
      width: 28.125rem;
      height: 28.125rem
    }
  }
  .horizontal-line {
    display: none
  }
  .vertical-line {
    position: fixed;
    z-index: -1;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
    height: 100%;
    width: .0625rem;
    background-color: var(--border-gray)
  }
  .page .main-socials {
    bottom: 1.5rem
  }
}
@media (max-width:47.99875em) {
  .menu__before-wrapper {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 2;
    width: 100%;
    height: 4.5rem;
    background-color: var(--grayish);
    opacity: 0;
    visibility: hidden;
    -webkit-transform: translateX(-20px);
    transform: translateX(-20px);
    pointer-events: none;
    transition: opacity .3s ease,visibility .3s ease,-webkit-transform .3s ease;
    transition: opacity .3s ease,visibility .3s ease,transform .3s ease;
    transition: opacity .3s ease,visibility .3s ease,transform .3s ease,-webkit-transform .3s ease
  }
  .menu-open .menu__before-wrapper {
    opacity: 1;
    visibility: visible;
    -webkit-transform: translateX(0);
    transform: translateX(0);
    pointer-events: auto
  }
  .menu__body ul {
    flex: 1 0 auto;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    row-gap: 1.5rem
  }
  .menu__body ul a {
    font-size: 1.75rem;
    letter-spacing: normal
  }
  .menu__body .main-socials {
    display: flex;
    align-self: flex-end
  }
  .menu__body {
    position: fixed;
    width: 100%;
    height: 100dvh;
    left: 0;
    top: 0;
    overflow: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 4.5rem 1rem 1.5rem 2.25rem;
    background-color: var(--grayish);
    opacity: 0;
    -webkit-transform: translateX(-20px);
    transform: translateX(-20px);
    pointer-events: none;
    transition: opacity .5s ease,-webkit-transform .5s ease;
    transition: opacity .5s ease,transform .5s ease;
    transition: opacity .5s ease,transform .5s ease,-webkit-transform .5s ease
  }
  .menu__body::before {
    content: "";
    position: absolute;
    left: 0;
    top: 4.5rem;
    width: 100%;
    height: .0625rem;
    background-color: var(--border-gray)
  }
  .menu__body::after {
    content: "";
    position: absolute;
    top: 0;
    left: 2.25rem;
    width: .0625rem;
    height: 100%;
    background-color: var(--border-gray)
  }
  .menu-open .menu__body {
    opacity: 1;
    -webkit-transform: translateX(0);
    transform: translateX(0);
    pointer-events: auto
  }
  .icon-menu {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 1.5rem;
    height: 1.5rem;
    z-index: 5
  }
  .icon-menu span,
  .icon-menu::after,
  .icon-menu::before {
    content: "";
    transition: all .3s ease 0s;
    position: absolute;
    width: 1.25rem;
    height: .125rem;
    border-radius: .625rem;
    background-color: var(--black)
  }
  .icon-menu::before {
    top: .3125rem
  }
  .icon-menu::after {
    bottom: .3125rem
  }
  .icon-menu span {
    top: calc(50% - .0625rem)
  }
  .menu-open .icon-menu span {
    width: 0
  }
  .menu-open .icon-menu::before {
    top: calc(50% - .0625rem);
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg)
  }
  .menu-open .icon-menu::after {
    bottom: calc(50% - .0625rem);
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg)
  }
  .fp-bullets {
    gap: .375rem
  }
  .fp-bullets .fp-bullet {
    width: .5rem;
    height: .5rem;
    flex: 0 0 .5rem
  }
  .portfolio__body button {
    display: flex
  }
  .portfolio__content {
    flex-direction: column
  }
  .portfolio__column {
    flex: 0 0 100%
  }
  .portfolio__column:last-child {
    padding-top: 2.625rem
  }
  .clients__body {
    padding-top: 5.875rem;
    padding-bottom: 5.875rem
  }
  .seo__wrapper {
    padding-top: 5.875rem;
    padding-bottom: 5.875rem
  }
  .product-card {
    max-width: 100%
  }
  .product-card {
    max-width: calc(100% - 6px);
    margin-left: .625rem
  }
  .product-card__image {
    aspect-ratio: 337/337;
    margin-top: -.75rem;
    margin-left: -.75rem;
    margin-right: .75rem
  }
  .product-card__content {
    padding: .75rem
  }
  .ellipse {
    width: 32.5rem;
    height: 32.5rem
  }
}
@media (max-width:47.99875em)and (any-hover:none) {
  .icon-menu {
    cursor: default
  }
}
@media (max-width:29.99875em) {
  .clients-slide {
    width: 14rem
  }
  .clients-slide__top {
    height: 14rem
  }
  .info-block img {
    width: 100%;
    height: 21.4375rem
  }
}
@media (any-hover:hover) {
  .clients-slide:hover .clients-slide__content {
    opacity: 1
  }
  .clients-slide:hover .clients-slide__wrap:nth-child(2) {
    opacity: 1
  }
  .show-more:hover svg {
    -webkit-transform: rotate(180deg);
    transform: rotate(180deg)
  }
  .contacts__link:hover {
    background-color: var(--black);
    color: var(--white)
  }
  .social:hover {
    background-color: var(--black)
  }
  .social:hover svg path {
    fill: var(--white)
  }
  .button:hover {
    color: var(--white)
  }
  .button:hover::before {
    width: 100%
  }
}

@media (max-width: 768px) {
  .portfolio__column .product-card {
    opacity: 0;
    display: none;
    transition: opacity 0.4s ease, transform 0.4s ease;
  }
  .portfolio__column .product-card:nth-child(-n+1) {
    display: block;
    opacity: 1;
    transform: translateY(0);
  }
}

.info-block {
  color: var(--dark-gray);
}